GrailsCli.ExecutionContextImpl (Grails 5.2.5)

Package: org.grails.cli

## [Groovy] Class GrailsCli.ExecutionContextImpl

- org.grails.cli.GrailsCli.ExecutionContextImpl

- All Implemented Interfaces and Traits:
    ExecutionContext

      static class GrailsCli.ExecutionContextImpl
      extends java.lang.Object
      implements ExecutionContext

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandLine` | `commandLine`
    `GrailsConsole` | `console`
    `ProjectContext` | `projectContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExecutionContextImpl (CodeGenConfig config)`
    `ExecutionContextImpl (CommandLine commandLine, ProjectContext projectContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addCancelledListener(CommandCancellationListener listener)`
    `` | `void` | `cancel()`
    `` | `java.io.File` | `getBaseDir()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### CommandLine commandLine

    - #### GrailsConsole console

    - #### @groovy.lang.Delegate(excludes: [getConsole, getBaseDir]) ProjectContext projectContext

  - ### Constructor Detail

    - #### ExecutionContextImpl(CodeGenConfig config)

    - #### ExecutionContextImpl(CommandLine commandLine, ProjectContext projectContext)

  - ### Method Detail

    - #### @java.lang.Override void addCancelledListener(CommandCancellationListener listener)

    - #### @java.lang.Override void cancel()

    - #### @java.lang.Override java.io.File getBaseDir()